> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new ContactSegment



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json post /api/entities/contactsegment
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/contactsegment:
    post:
      tags:
        - ContactSegment
      summary: Create a new ContactSegment
      operationId: createContactSegment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactSegment'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    type: string
                type: object
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    ContactSegment:
      properties:
        createdAt:
          format: date-time
          type: string
        filtersJson:
          description: Arbitrary JSON value
        id:
          type: string
        name:
          type: string
        orgId:
          type: string
      required:
        - id
        - orgId
        - name
        - filtersJson
        - createdAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````